CSG.chk = {
    page: {
        url: window.location.href,
        title: document.getElementsByTagName('h1')[0].innerHTML,
    },
    check: function() {
        var url = new URLSearchParams(window.location.search); 
        if ( url.get('csg') !== 'debug' ) {
            var total = CSG.idx.list.length;
            for (var l = 0; l < total; l++ ) {
                var list = CSG.idx.list[l];
                if ( CSG.chk.page.url.includes(list[0]) && 
                        CSG.chk.page.title.includes(list[1]) ) {
                    console.log('Loading board ' + list[2] + ' from URL ' + CSG.idx.url + '.' );
                    CSG.chk.load(list[2]);
                }
            }       
        }
    },
    addLib: function( url, type ) {
        if ( type === 'script') {
            var script = document.createElement('script');
            script.setAttribute('src', url );
            document.body.appendChild(script);
        } else if ( type === 'style' ) {
            var style = document.createElement('link');
            style.href = url;
            style.type = 'text/css';
            style.rel = 'stylesheet';
            document.head.appendChild(style);  
        }
    },
    load: function( board ) {
        CSG.idx.board = board;
        var url = CSG.idx.url;
        if (typeof jQuery === 'undefined' || typeof $ === 'undefined') {
            CSG.chk.addLib(url + 'lib/jquery.min.js', 'script');
        }
        //CSG.chk.addLib(url + 'lib/csg-style.css', 'style');
        
        document.body.innerHTML += '<div id="csg-shell" style="position: fixed; top: 0; left: 0; width: 100vw; height: 100vh; z-index: 10000; background-color: #000000; padding: 0; margin: 0; "></div>';
          
        CSG.chk.addLib(url + 'brd/' + board + '/cfg/custom.css', 'style');
        CSG.chk.addLib(url + 'brd/' + board + '/cfg/custom.js', 'script');
        
        CSG.chk.addLib(url + 'brd/' + board + '/style.css', 'style');
        CSG.chk.addLib(url + 'brd/' + board + '/script.js', 'script');     
        
        CSG.chk.addLib(url + 'lib/csg.js', 'script');  
         
    }
}
CSG.chk.check();

