CSG.cfg = {
    client: 'dod',
    board: 'dod',
    mode: 'debug',
    gameName: 'moodle_dod_en', //No spaces
    LMS: 'MOODLE', //Either 'auto', or specific: 'CSOD'
    percent: 'auto', //Either 'auto' or based on 'LMS'
    audio: [
        {
            id: 'bg-music',
            src: 'bgmusic.mp3',
            type: 'music',
            loop: true
        },
        {
            id: 'typing',
            src: 'typing.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'jump',
            src: 'jump.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'win',
            src: 'win.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'entry',
            src: 'entry.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'print',
            src: 'print.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'print-quick',
            src: 'print-quick.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'bip',
            src: 'bip.mp3',
            type: 'audio',
            loop: false
        }
    ],
    templates: {
        // HTML do tabuleiro
        boardStart: '<div id="csg-board"><div class="csg-loading-container"><div class="csg-loading-item"></div></div>',
        boardEnd: '</div>',
        groupStart: '',
        groupEnd: '',
        activityStart: '',
        activityEnd: '',
        boardExtras: `
        <div id="csg-boardgame">
            <div data-activity="0" class="csg-activity csg-activity-icon csg-intro-video csg-board-after" ></div>

            <div data-activity="1" class="csg-activity csg-activity-icon csg-game" ></div>

            <div data-activity="2" class="csg-activity csg-activity-icon csg-video csg-board csg-board-after" style="left: 722px; top: 848px;"></div>
            <div data-activity="3" class="csg-activity csg-board" style="left: 822px; top: 848px;"></div>
            <div data-activity="3" class="csg-activity csg-board csg-corner" style="left: 822px; top: 946px; transform: rotate(-90deg);"></div>
            <div data-activity="3" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after" style="left: 920px; top: 946px;"></div>
            <div data-activity="4" class="csg-activity csg-board" style="left: 1016px; top: 946px;"></div>
            <div data-activity="4" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after" style="left: 1113px; top: 946px;"></div>

            <div data-activity="5" class="csg-activity csg-activity-icon csg-video csg-board csg-board-after" style="left: 722px; top: 719px;"></div>
            <div data-activity="6" class="csg-activity csg-board" style="left: 822px; top: 719px;"></div>
            <div data-activity="6" class="csg-activity csg-board" style="left: 920px; top: 719px;"></div>
            <div data-activity="6" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after" style="left: 1016px; top: 719px;"></div>
            <div data-activity="7" class="csg-activity csg-board" style="left: 1113px; top: 719px;"></div>
            <div data-activity="7" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after" style="left: 1212px; top: 719px;"></div>

            <div data-activity="8" class="csg-activity csg-activity-icon csg-video csg-board csg-board-after" style="left: 722px; top: 522px;"></div>
            <div data-activity="9" class="csg-activity csg-board" style="left: 822px; top: 522px;"></div>
            <div data-activity="9" class="csg-activity csg-board" style="left: 920px; top: 522px;"></div>
            <div data-activity="9" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after" style="left: 1016px; top: 522px;"></div>
            <div data-activity="10" class="csg-activity csg-board" style="left: 1113px; top: 522px;"></div>
            <div data-activity="10" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after" style="left: 1212px; top: 522px;"></div>

            <div data-activity="11" class="csg-activity csg-activity-icon csg-video csg-board csg-board-after" style="left: 722px; top: 395px;"></div>
            <div data-activity="12" class="csg-activity csg-board" style="left: 822px; top: 395px;"></div>
            <div data-activity="12" class="csg-activity csg-board csg-corner" style="left: 822px; top: 296px;"></div>
            <div data-activity="12" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after"style="left: 920px; top: 296px;"></div>
            <div data-activity="13" class="csg-activity csg-board" style="left: 1016px; top: 296px;"></div>
            <div data-activity="13" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after" style="left: 1113px; top: 296px;"></div>

            <div data-activity="14" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after" style="left: 722px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-board" style="left: 822px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-board" style="left: 920px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-board" style="left: 1016px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-board" style="left: 1113px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after"  style="left: 1212px; top: 156px;"></div>
            <div id="csg-player"></div>
            <div id="csg-player-printer"></div>
            <div id="csg-showcase"></div>
            <div id="csg-showcase-2"></div>
            <div id="csg-showcase-3"></div>
            <div id="csg-showcase-4"></div>
            <div id="csg-showcase-5"></div>
            <div id="csg-showcase-6"></div>
            <div class="csg-cu-label csg-cu-label-A"></div>
            <div class="csg-cu-label csg-cu-label-B"></div>
            <div class="csg-cu-label csg-cu-label-C"></div>
            <div class="csg-cu-label csg-cu-label-D"></div>
            <div class="csg-cu-label csg-cu-label-E"></div>
        <div id="csg-info-mask"></div>
        </div>


        <div data-activity="0" class="csg-activity csg-activity-star" title="DOD Game"></div>
        <div data-activity="1" class="csg-activity csg-activity-medal" title="DOD Game"></div>

        <div data-activity="2" class="csg-activity csg-activity-star" title="CUA Video"></div>
        <div data-activity="3" class="csg-activity csg-activity-star" title="CUA SCORM"></div>
        <div data-activity="4" class="csg-activity csg-activity-star" title="CUA Quiz"></div>

        <div data-activity="5" class="csg-activity csg-activity-medal" title="CUB Video"></div>
        <div data-activity="6" class="csg-activity csg-activity-medal" title="CUB SCORM"></div>
        <div data-activity="7" class="csg-activity csg-activity-medal" title="CUB Quiz"></div>

        <div data-activity="8" class="csg-activity csg-activity-star" title="CUC Video"></div>
        <div data-activity="9" class="csg-activity csg-activity-star" title="CUC SCORM"></div>
        <div data-activity="10" class="csg-activity csg-activity-star" title="CUC Quiz"></div>

        <div data-activity="11" class="csg-activity csg-activity-star" title="CUD Video"></div>
        <div data-activity="12" class="csg-activity csg-activity-star" title="CUD SCORM"></div>
        <div data-activity="13" class="csg-activity csg-activity-star" title="CUD Quiz"></div>

        <div data-activity="14" class="csg-activity csg-activity-star" title="CUE SCORM"></div>
        <div data-activity="15" class="csg-activity csg-activity-star" title="CUE Quiz"></div>
        
        <div class="csg-printer-blink"></div>
        <div data-letter="0" class="csg-letter"></div>
        <div data-letter="1" class="csg-letter"></div>
        <div data-letter="2" class="csg-letter"></div>
        <div data-letter="3" class="csg-letter"></div>
        <div data-letter="4" class="csg-letter"></div>
        <div data-letter="0" class="csg-letter-printer"></div>
        <div data-letter="1" class="csg-letter-printer"></div>
        <div data-letter="2" class="csg-letter-printer"></div>
        <div data-letter="3" class="csg-letter-printer"></div>
        <div data-letter="4" class="csg-letter-printer"></div>
        <div class="csg-printer-block csg-printer-block-0"></div>
        <div class="csg-printer-block csg-printer-block-1"></div>
        <div class="csg-printer-block csg-printer-block-2"></div>
        <div class="csg-printer-block csg-printer-block-3"></div>
        <div class="csg-printer-block csg-printer-block-4"></div>
        
        <div id="csg-popup-block-window">
            <div class="csg-popup-block-message">Close all popup windows or reload this page.</div>
        </div>
        <div class="csg-exit" onclick="CSG.msg.add('exit');" title="Exit"></div>
        <div class="csg-music-button csg-music-button-on" onclick="CSG.aud.change('off', 'music');$('.csg-music-button-off').show();$('.csg-music-button-on').hide();CSG.gm.save();" title="Turn music off"></div>
        <div class="csg-music-button csg-music-button-off" onclick="CSG.aud.change('on', 'music');$('.csg-music-button-on').show();$('.csg-music-button-off').hide();CSG.gm.save();" title="Turn music on"></div>
        <div class="csg-info" onclick="CSG.msg.add('tutorial2');" title="Tutorial"></div>
        
                `,
        extras: '',
        
        // Valores standard do tabuleiro
        points: 100,
        groupMax: 11,
        activityClick: function() {CSG.activity.launch(CSG.tmp.activityClicked);},
        rules: 'sequence' // Como restringir o avanço no jogo, livre ('free'), atividade sequenciais ('sequence'), grupos sequenciais ('group-sequence')
    },
    activities: [ //Aqui vamos colocar os elementos indentificadores de cada nível no CSOD
        
        { // Atividade 13
            name: 'General Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                
                CSG.cstm.openPopup(0);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: []
        },
        { // Atividade 1
            name: 'DOD Game',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(1);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 2
            name: 'CUA Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(2);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 3
            name: 'CUA SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(3);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [1]
        },
        { // Atividade 4
            name: 'CUA Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(4);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [2]
        },
        { // Atividade 5
            name: 'CUB Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(5);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 6
            name: 'CUB SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(6);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [3]
        },
        { // Atividade 7
            name: 'CUB Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(7);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [4]
        },
        { // Atividade 8
            name: 'CUC Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(8);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 9
            name: 'CUC SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(9);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [5]
        },
        { // Atividade 10
            name: 'CUC Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(10);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [6]
        },
        { // Atividade 11
            name: 'CUD Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(11);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 12
            name: 'CUD SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(12);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [7]
        },
        { // Atividade 13
            name: 'CUD Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(13);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [8]
        },
        { // Atividade 14
            name: 'CUE SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(14);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [10]
        },
        { // Atividade 15
            name: 'CUE Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(15);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [9]
        }
    ],
    rules: [
        { // Rule 0
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [0],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 1
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [2],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 2
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [3],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 3
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [5],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 4
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [6],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 5
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [8],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 6
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [9],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 7
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [11],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 8
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [12],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 9
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [14],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 10
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [4, 10, 13],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        }
    ],
    rulesControl: 'auto', //'auto', using CSG, or null
    levels: 0,
    messages: {
        'missing': {
            classes: ' csg-missing csg-intro',
            load: function() {},
            text: '<div class="csg-title">OH NÃO!</div><p>Desculpe <div class="csg-username"></div>, mas não encontrámos a mensagem que procura...</p>',
            buttons: [
                {
                    classes: ' ',
                    check: function() {return true;},
                    text: 'Sair',
                    action: function() {
                        CSG.msg.exit();
                    }
                }
            ]
        },
        'intro': {
            classes: ' csg-intro',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                setTimeout(function() {
                    CSG.aud.play('print');
                }, 1000);
                setTimeout(function() {
                    CSG.aud.play('print');
                }, 7000);
                setTimeout(function() {
                    CSG.aud.play('print-quick');
                }, 13000);
            },
            text: `
                        <div class="csg-intro-logo"></div>
                        <div class="csg-intro-logo-eu"></div>
                        <div class="csg-intro-logo-partners"></div>
                    `,
            buttons: [
                {
                    classes: ' csg-intro-start',
                    check: function() {return true;},
                    text: 'START',
                    action: function() {
                        CSG.aud.play('bg-music');
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('intro2');
                    }
                }
            ]
        },
        'intro2': {
            classes: ' csg-intro csg-box-entrance',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                CSG.aud.play('entry');
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Hi %USERNAME%! Welcome to the training course 3D Printing Design and Operations!%BR% My name’s DoD.%BR%Nice to meet you!');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text">
                                
                            </div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Hi DoD! Nice to meet you, too.',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('intro3');
                    }
                }
            ]
        },
        'intro3': {
            classes: ' csg-intro',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Your Learning adventure starts here!%BR%You are not alone, I am here to guide you! ');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text">
                                
                            </div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ohhh that’s nice, thanks!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('avatar');
                    }
                }
            ]
        },
        'avatar': {
            classes: ' csg-intro',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                setTimeout(function() {
                    CSG.cstm.typewriterNew('I was already waiting for you!%BR%Choose an avatar to get started!');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                        <div id="csg-avatar-choice">
                            <div class="csg-avatar-choose-0 csg-avatar-choose csg-avatar" data-type="0" onclick="CSG.cstm.avatarSet(0);CSG.aud.play('bip');"></div>
                            <div class="csg-avatar-choose-1 csg-avatar-choose csg-avatar" data-type="1" onclick="CSG.cstm.avatarSet(1);CSG.aud.play('bip');"></div>
                            <div class="csg-avatar-choose-2 csg-avatar-choose csg-avatar" data-type="2" onclick="CSG.cstm.avatarSet(2);CSG.aud.play('bip');"></div>
                            <div class="csg-avatar-choose-3 csg-avatar-choose csg-avatar" data-type="3" onclick="CSG.cstm.avatarSet(3);CSG.aud.play('bip');"></div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1 csg-hidden-option',
                    check: function() {return true;},
                    text: 'Submit my avatar.',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial1');
                        CSG.stt.state = 1;
                        CSG.gm.save();
                    }
                }
                
            ]
        },
        'tutorial1': {
            classes: ' csg-intro-exit',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                CSG.aud.play('print');
                CSG.cstm.avatarPosition('');
                CSG.cstm.avatarPosition('start');
                setTimeout(function() {
                    $('#csg-showcase').addClass('csg-active');
                    $('#csg-showcase').attr('data-position', 0);
                    $('.csg-intro-exit').removeClass('csg-intro-exit');
                    CSG.cstm.typewriterNew('Here you are!%BR%You already realize that you have several paths to go, right?%BR%Do you want some tips before you start?');
                }, 6000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-2',
                    check: function() {return true;},
                    text: 'Ohh, yes!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial2');
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Don’t bother, I’ll find out!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        $('#csg-showcase').removeClass('csg-active');
                        setTimeout(function() {
                            CSG.msg.exit();
                            CSG.stt.state = 2;
                            CSG.gm.save();
                            $('.csg-intro-video').addClass('csg-here-i-am');
                        }, 1000);
                    }
                }
            ]
        },
        'tutorial2': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 1);
                    CSG.cstm.typewriterNew('Before starting, pay attention: you should start your learning journey by watching the introductory video.%BR%To move around the board just click on the items that are available.');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ok, understood!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial3');
                    }
                }
            ]
        },
        'tutorial3': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 3);
                    $('.csg-activity-star').addClass('showcase');
                    $('.csg-activity-medal').addClass('showcase');
                    CSG.cstm.typewriterNew('The objective is to complete all the items of each competence unit path.%BR%For each mandatory item completed, you’ll earn a star. ');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'How nice. It’s great to receive stars!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial4');
                    }
                }
            ]
        },
        'tutorial4': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 4);
                    $('#csg-showcase-2').attr('data-position', 4);
                    $('#csg-showcase-2').addClass('csg-active');
                    $('.csg-activity-star').removeClass('showcase');
                    $('.csg-activity-medal').removeClass('showcase');
                    CSG.cstm.typewriterNew('Competence unit path B and the space game are optional. ');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Wow, awesome…',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial5');
                    }
                }
            ]
        },
        'tutorial5': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 5);
                    $('#csg-showcase-2').attr('data-position', 5);
                    $('#csg-showcase-2').addClass('csg-active');
                    $('#csg-showcase-3').attr('data-position', 5);
                    $('#csg-showcase-3').addClass('csg-active');
                    $('#csg-showcase-4').attr('data-position', 5);
                    $('#csg-showcase-4').addClass('csg-active');
                    CSG.cstm.typewriterNew('For each optional item completed, you’ll earn a medal. CU:E will only be available when you have completed CU:A, CU:C and CU:D. Nevertheless, I recomend that you take the path CU:A, CU:B, CU:C, CU:D and CU:E, by this order. ');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'But how do I know what’s inside each item?',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial6');
                    }
                }
            ]
        },
        'tutorial6': {
            classes: ' csg-message-no-click',
            load: function() {
                setTimeout(function() {
                    $('.csg-cu-label.csg-cu-label-D').addClass('csg-active');
                    $('#csg-showcase').removeClass('csg-active');
                    $('#csg-showcase-3').removeClass('csg-active');
                    $('#csg-showcase-4').removeClass('csg-active');
                    CSG.cstm.typewriterNew('Just hover your mouse over each item and a message will appear giving you all the information.');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Nice, understood. Can I start?',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial7');
                    }
                }
            ]
        },
        'tutorial7': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 7);
                    $('.csg-cu-label.csg-cu-label-D').removeClass('csg-active');
                    
                    $('#csg-showcase').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-2').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-3').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-4').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-5').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-6').addClass('csg-active').attr('data-position', 7);
                    CSG.cstm.typewriterNew('You want to discover the secret code, right? Its easy. As you see, each CU path gives you access to an item. You must complete the path in order to reach the printer that will print you the item needed for the "secret code”. Ok?');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Okay, I’m ready!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial8');
                    }
                }
            ]
        },
        'tutorial8': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 8);
                    $('#csg-showcase-2').removeClass('csg-active');
                    $('#csg-showcase-3').removeClass('csg-active');
                    $('#csg-showcase-4').removeClass('csg-active');
                    $('#csg-showcase-5').removeClass('csg-active');
                    $('#csg-showcase-6').removeClass('csg-active');
                    CSG.cstm.typewriterNew('I’ll put this information here… if you have any questions, just click on this icon. When you’re ready, click the video icon to start!%BR%See you soon!');
                    $('#csg-info-mask ').addClass('csg-active');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ok, thanks, see you soon!',
                    action: function() {
                        $('#csg-showcase').removeClass('csg-active').attr('data-position', '');
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                    $('#csg-info-mask ').removeClass('csg-active');
                        CSG.aud.play('bip');
                        setTimeout(function() {
                            CSG.msg.exit();
                            CSG.stt.state = 2;
                            CSG.gm.save();
                            $('.csg-intro-video').addClass('csg-here-i-am');
                        }, 1000);
                    }
                }
            ]
        },
        'message-0': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Congratulations! You won a star! Where to go know? I recommend that you move on to the CU:A video…');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 0, false );
                    CSG.cstm.letterPreview( 0 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Thanks, DoD! I’ll keep on!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-0B');
                    }
                }
            ]
        },
        'message-0B': {
            classes: '',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Congratulations, your first letter has already been printed! Try CU:A video now.');
                }, 3000);
                CSG.cstm.letterGive( 0, false );
                CSG.cstm.letterPreviewRemove(0);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Yes DoD! How cool!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[0] = 1;
                        setTimeout( function(){
                            CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-1': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('So, did you like the game? It’s a fun way to learn new things, isn’t it?');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 1, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Yes, it was funny and interesting. Thanks, DoD!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[1] = 1;
                        setTimeout( function(){
                            CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-2': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Good, one more star! You are ready for the next training module.');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 2, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ok! One more star for the collection!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[2] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-3': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('You’re doing great! You are a star! Ready for some questions?');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 3, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'I hope so!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[3] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-4': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Assessment done! Let’s see what happens in the printer now…');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 4, false );
                    CSG.cstm.letterPreview( 1 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Yes, thanks DoD!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-4B');
//                        CSG.stt.alerts[4] = 1;
                    }
                }
            ]
        },
        'message-4B': {
            classes: '',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Good! Here’s a letter to unlock the secret code! Let’s get on with it - Try CU:B video now.');
                }, 3000);
                CSG.cstm.letterGive( 1, false );
                CSG.cstm.letterPreviewRemove(1);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Yes, many thanks DoD!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[4] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-5': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Congratulations! You won a medal!  Let’s try the next training module.');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 5, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Thanks DoD! I’ll keep on!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[5] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-6': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('One more! You’re on the right track! Move on for the quiz!');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 6, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: ' Yes, I’ll move on!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[6] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-7': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('You already have several medals now. You are the best! Let’s try CU:C video now?');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 7, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ohhh, thank you DoD! ',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[7] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-8': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Good, one more star! Try the next training module.');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 8, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Yes, one more for the collection!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[8] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-9': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('One more! You’re on the right track! Move on for the quiz!');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 9, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Let’s go!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[9] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-10': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('You finished the assessment, keep on! Let us pay attention to the printer…');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 10, false );
                    CSG.cstm.letterPreview( 2 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Let’s go, DoD!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-10B');
                    }
                }
            ]
        },
        'message-10B': {
            classes: '',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Great! Here you have a new letter of the secret code! Let’s try CU:D video now?');
                }, 3000);
                CSG.cstm.letterGive( 2, false );
                CSG.cstm.letterPreviewRemove(2);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Yes! So nice!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[10] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-11': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Good, one more star! Let’s try the next training module.');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 11, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Thanks! I’ll keep on!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[11] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-12': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('You are doing great! You are a star! Now you are prepared for a brief quiz...');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 12, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ohhh, thank you! Yes, I’ll move on!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[12] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-13': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Great! You have completed the assessment! Let’s see what happens in the printer now…');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 13, false );
                    CSG.cstm.letterPreview( 3 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Yes, thanks DoD!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-13B');
                    }
                }
            ]
        },
        'message-13B': {
            classes: '',
            load: function() {
                setTimeout(function() {
//                    CSG.cstm.typewriterNew('How cool! Here’s one more letter to unlock the secret code! Try CU:E video now.');
                    CSG.cstm.typewriterNew('How cool! Here’s one more letter to unlock the secret code! Try CU:E formative assessment now.');
                }, 3000);
                CSG.cstm.letterGive( 3, false );
                CSG.cstm.letterPreviewRemove(3);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Great, many thanks! Let’s go, DoD!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[13] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-14': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Good, one more star! Ready for some questions?');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 14, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Thanks, DoD! Let’s go!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[14] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-15': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('This assessment is done! keep going! Let’s pay attention to the printer…');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 15, false );
                    CSG.cstm.letterPreview( 4 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Yes DoD! I’ll keep on!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-15B');
                    }
                }
            ]
        },
        'message-15B': {
            classes: '',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Congratulations, the secret code has been revealed!');
                }, 3000);
                CSG.cstm.letterGive( 4, false );
                CSG.cstm.letterPreviewRemove(4);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: ' Yes DoD! It’s fantastic!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-15C');
                    }
                }
            ]
        },
        'message-15C': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Congratulations, you’ve just cracked the secret code and earned all the stars... you’re a super star! Now is the time to try the space game, if you have not tried it already! %BR% If you want, you can also visit our website!');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-3',
                    check: function() {return true;},
                    text: ' I’ll take a look at the space game :)',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[15] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'I’ll check if I’ve visited everything… Let me see…',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[15] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-5',
                    check: function() {return true;},
                    text: ' Go to demoordieproject.eu',
                    action: function() {
                        
                        CSG.aud.play('bip');
                        window.open('https://demoordieproject.eu/', '_blank');
                    }
                }
            ]
        },
        'complete': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('It’s all completed! I hope you enjoyed and that you learned new things that will be useful to you! It was a pleasure to meet you, %USERNAME%.%BR%How about you go and visit our website?');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'It was great meeting you, DoD... and of course I learned a lot of new things! Thank you so much.',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        
                        setTimeout( function(){
                        CSG.msg.exit();
                        }, 1000 );
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-4',
                    check: function() {return true;},
                    text: ' Go to demoordieproject.eu',
                    action: function() {
                        
                        CSG.aud.play('bip');
                        window.open('https://demoordieproject.eu/', '_blank');
                    }
                }
            ]
        },
        'exit': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('So, are you leaving now?');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-3',
                    check: function() {return true;},
                    text: 'No, I clicked here by mistake! :)',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        setTimeout( function(){
                        CSG.msg.exit();
                        }, 1000 );
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Yes, now I have to go, I’ll be back later! See you soon, DoD!',
                    action: function() {
                        CSG.gm.save();CSG.gm.exit();
                    }
                }
            ]
        }
    },
    functions: {
        start: function() {
                
                
            if ( CSG.gm.loaded ) {
                setTimeout( function() {
                    if ( typeof CSG.stt.position !== 'undefined' ) {
                        CSG.cstm.avatarPosition( CSG.stt.position, true );
                    } else {
                        CSG.cstm.avatarPosition( '', true );
                    }
                }, 10 )
                $('body').on('click', function() {
                    if ( $('#csg-popup-block-window.csg-active').length === 0 ) {
                        CSG.aud.play('bg-music');
                    }
                });
                CSG.cstm.avatarUpdate();
//                console.log(CSG.stt.lastSave)
                CSG.aud.play('bg-music');
                if ( CSG.stt.state === 0 ) {
                    CSG.msg.add('intro');
                } else if ( CSG.stt.state === 1 ) {
                    CSG.msg.add('tutorial1');
                } else {
                    CSG.cstm.letterAndStarCheck();
                    CSG.cstm.messageCheck();
                }
                if ( CSG.stt.music ) {
                    $('.csg-music-button-on').hide();
                    $('.csg-music-button-off').show();
                } else {
                    
                    $('.csg-music-button-on').show();
                    $('.csg-music-button-off').hide();
                }
            } else {
                setTimeout(function() {
                    CSG.cfg.functions.start();
                }, 10);
            }
        },
        medals: function() {
            
        },
        alerts: function() {
            
        },
        custom: function() {
           
        }
    },
    language: {
        points: 'Points'
    },

//    dataStorageUrl: null, // Ou 'local' ou url externo ou null
//     dataStorageUrl: 'local', // Ou 'local' ou url externo ou null
   dataStorageUrl: 'https://learnexperience.isqe.com/skins/dod/fn/csg-mem.php', // Ou 'local' ou url externo ou null
    exitLink: 'https://isqe.pt/moodleisqe/my/courses.php' //Link or null
};